ISOInfo (libguestfs java 1.60.0 API reference)
Description: declaration: package: com.redhat.et.libguestfs, class: ISOInfo

# Class ISOInfo

java.lang.Object
com.redhat.et.libguestfs.ISOInfo

public class ISOInfo extends Object
ISOInfo structure.

See Also:
  - `GuestFS`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `iso_abstract_file_id`
  `String`
  `iso_application_id`
  `String`
  `iso_bibliographic_file_id`
  `String`
  `iso_copyright_file_id`
  `String`
  `iso_data_preparer_id`
  `int`
  `iso_logical_block_size`
  `String`
  `iso_publisher_id`
  `String`
  `iso_system_id`
  `long`
  `iso_volume_creation_t`
  `long`
  `iso_volume_effective_t`
  `long`
  `iso_volume_expiration_t`
  `String`
  `iso_volume_id`
  `long`
  `iso_volume_modification_t`
  `int`
  `iso_volume_sequence_number`
  `String`
  `iso_volume_set_id`
  `int`
  `iso_volume_set_size`
  `int`
  `iso_volume_space_size`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ISOInfo()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### iso_system_id

    public String iso_system_id

  - ### iso_volume_id

    public String iso_volume_id

  - ### iso_volume_space_size

    public int iso_volume_space_size

  - ### iso_volume_set_size

    public int iso_volume_set_size

  - ### iso_volume_sequence_number

    public int iso_volume_sequence_number

  - ### iso_logical_block_size

    public int iso_logical_block_size

  - ### iso_volume_set_id

    public String iso_volume_set_id

  - ### iso_publisher_id

    public String iso_publisher_id

  - ### iso_data_preparer_id

    public String iso_data_preparer_id

  - ### iso_application_id

    public String iso_application_id

  - ### iso_copyright_file_id

    public String iso_copyright_file_id

  - ### iso_abstract_file_id

    public String iso_abstract_file_id

  - ### iso_bibliographic_file_id

    public String iso_bibliographic_file_id

  - ### iso_volume_creation_t

    public long iso_volume_creation_t

  - ### iso_volume_modification_t

    public long iso_volume_modification_t

  - ### iso_volume_expiration_t

    public long iso_volume_expiration_t

  - ### iso_volume_effective_t

    public long iso_volume_effective_t

- ## Constructor Details

  - ### ISOInfo

    public ISOInfo()